Bug 206893 - Can't save crash logs without network
Can't save crash logs without network
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 18:25 EDT by Anonymous Coward
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 13:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anonymous Coward 2006-09-17 18:25:25 EDT
Description of problem:
When Anaconda crashes, the only way to save the log is to SCP it to another
machine. This makes it impossible to save the log if any of the following are true:
*The network hasn't been set up.
*The host the user wants to SCP to only allows encrypted connections with public
key cryptography.
*The user doesn't have anywhere to SCP to.

How reproducible:
every time

How to Reproduce:
Reproduce any bug that crashes Anaconda, such as not filling in every field for
configuring a networking device to use IPv4 without DHCP.
  
Actual results:
A dialog comes up with the error log, and if I click the button to save it, it
asks me to SCP it to somewhere.

Expected results:
I would be able to save the log to a floppy disk, as in previous FC versions.

Suggested solution:
Allow the user to mount a portable storage device such as a floppy disk or USB
drive and save the log to somewhere on that portable storage device.
Comment 1 Chris Lumens 2006-09-18 11:56:07 EDT
As long as a floppy drive is detected, you should be given the option to save to
a floppy.  Can you look through /tmp/anaconda.log and see if there are any
messages related to the floppy device?
Comment 2 Anonymous Coward 2006-09-20 01:35:13 EDT
I was also having troubles with my floppy drive in FC5. I just tried it again
and I saw the save to floppy option, so it wasn't a bug in Anaconda. However, I
still think there should be another option that lets the user mount another
device and save the log to that.
Comment 3 Matthew Miller 2007-04-06 12:39:03 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Chris Lumens 2007-08-24 13:25:48 EDT
As this issue is fixed, I'm closing this bug out.  There's a separate bug
tracking the need to support saving crash data to a USB device.

Note You need to log in before you can comment on or make changes to this bug.